//
//  HesabeGatewayVC.h
//  HesabeObjectiveCDemo
//  Copyright © 2020 Hesabe. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <WebKit/WebKit.h>
#import "PaymentResponse.h"

NS_ASSUME_NONNULL_BEGIN

@protocol HesabeGatewayVCDelegate <NSObject>

-(void)paymentResponse:(PaymentResponse *)paymentResponse;

@end

@interface HesabeGatewayVC : UIViewController <WKNavigationDelegate, WKUIDelegate>

@property (nonatomic, weak) id <HesabeGatewayVCDelegate> delegate;

/// The property stores the data to be sent while requesting payment token
/// for eg - var paymentRequest = PaymentRequest(code: "1351719857300", responseUrl: "http://api.hesbstaging.com", failureUrl: "http://api.hesbstaging.com")
@property NSDictionary *paymentRequest;

/// The view to load the payment gateway
@property WKWebView *webView;

@end

NS_ASSUME_NONNULL_END
