//
//  ViewController.m
//  HesabeObjectiveCDemo
//  Copyright © 2020 Hesabe. All rights reserved.
//

#import "ViewController.h"
#import "HesabeGatewayVC.h"

@interface ViewController () <HesabeGatewayVCDelegate>

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
}

- (IBAction)payClick:(UIButton *)sender {
    self.statusLabel.text = @"";
    PaymentRequest *paymentRequest = [[PaymentRequest alloc] initWithAmount:@"10.0"];
    paymentRequest.orderReferenceNumber = @"12XXXXX";
    [self presentHesabeGateway:paymentRequest];
}

-(void)presentHesabeGateway:(PaymentRequest *)paymentRequest {
    HesabeGatewayVC *vc = [HesabeGatewayVC new];
    vc.paymentRequest = [paymentRequest dictionaryWithPropertiesOfObject];
    vc.delegate = self;
    [vc setModalPresentationStyle:UIModalPresentationFullScreen];
    [self presentViewController:vc animated:true completion:nil];
}

- (void)paymentResponse:(nonnull PaymentResponse *)paymentResponse {
    NSString *PaymentId = [NSString stringWithFormat: @" - #%@", paymentResponse.orderReferenceNumber];
    self.statusLabel.text = [paymentResponse.resultCode stringByAppendingString:PaymentId];;
}

@end
