//
//  PaymentRequest.m
//  HesabeObjectiveCDemo
//  Copyright © 2020 Hesabe. All rights reserved.
//

#import "PaymentRequest.h"
#import "Constants.h"
#import <objc/runtime.h>

@implementation PaymentRequest

- (instancetype)initWithAmount:(NSString *)amount {
    if (self = [super init]) {
        self.merchantCode = MERCHANT_CODE;
        self.responseUrl = RESPONSE_URL;
        self.failureUrl = FAILURE_URL;
        self.paymentType = @"0";
        self.version = @"2.0";
        self.amount = amount;
    }
    return self;
}

- (NSDictionary *)dictionaryWithPropertiesOfObject {
    NSMutableDictionary *dict = [NSMutableDictionary dictionary];
    
    unsigned count;
    objc_property_t *properties = class_copyPropertyList([self class], &count);
    
    for (int i = 0; i < count; i++) {
        NSString *key = [NSString stringWithUTF8String:property_getName(properties[i])];
        [dict setObject:[self valueForKey:key] ? [self valueForKey:key] : @"" forKey:key];
    }
    free(properties);
    return [NSDictionary dictionaryWithDictionary:dict];
}

@end
